Retrieve a pre-authorization
curl --request GET \
--url https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "preauthorization",
"eligibility_check_id": "<string>",
"booking_id": "<string>",
"status": "pending",
"reason_codes": [
"<string>"
],
"amount": {
"requested": 2,
"approved": 2,
"currency": "<string>"
},
"valid_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"decision": {
"id": "<string>",
"object": "preauthorization_decision",
"version": 2,
"outcome": "approved",
"reason_codes": [
"<string>"
],
"policy": {
"reference": "<string>",
"version": "<string>"
},
"authority_reference": "<string>",
"evidence_references": [
"<string>"
],
"decided_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Retrieve a pre-authorization
Returns one tenant-scoped synthetic pre-authorization. Requires benefits:read.
GET
/
preauthorizations
/
{preauthorization_id}
Retrieve a pre-authorization
curl --request GET \
--url https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "preauthorization",
"eligibility_check_id": "<string>",
"booking_id": "<string>",
"status": "pending",
"reason_codes": [
"<string>"
],
"amount": {
"requested": 2,
"approved": 2,
"currency": "<string>"
},
"valid_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"decision": {
"id": "<string>",
"object": "preauthorization_decision",
"version": 2,
"outcome": "approved",
"reason_codes": [
"<string>"
],
"policy": {
"reference": "<string>",
"version": "<string>"
},
"authority_reference": "<string>",
"evidence_references": [
"<string>"
],
"decided_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Path Parameters
A public pre-authorization identifier.
Maximum string length:
100Pattern:
^preauth_[A-Za-z0-9_-]+$Response
A pre-authorization
Maximum string length:
100Pattern:
^preauth_[A-Za-z0-9_-]+$Allowed value:
"preauthorization"Maximum string length:
100Pattern:
^elig_[A-Za-z0-9_-]+$Maximum string length:
100Pattern:
^bkg_[A-Za-z0-9_-]+$Available options:
pending, approved, denied, expired, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 10, 2026
Was this page helpful?

